<umb-box>
    <umb-box-content class="form-horizontal">

        <umb-control-group label="Store Records" description="Check this box to save submitted records in a database.
                                                              This will allow you to view and export them from the queries overview.
                                                              If you don't want to store data (due to policies in your organisation), leave the box un-checked.">
            <umb-checkbox
                model="model.storeRecordsLocally"
                text="Yes, keep submitted records in a database so they can be viewed and exported later">
            </umb-checkbox>
        </umb-control-group>

        <!--Captions-->
        <umb-control-group label="Captions" description="Change the captions for the Submit, Next and Previous buttons.">
            <div class="control-row -margin-bottom">
                <label class="control-label -block">'Submit' button label</label>
                <input class="-full-width-input" type="text" ng-model="model.submitLabel" />
            </div>
            <div class="control-row -margin-bottom">
                <label class="control-label -block">'Next' button label</label>
                <input class="-full-width-input" type="text" ng-model="model.nextLabel" />
            </div>
            <div class="control-row -margin-bottom">
                <label class="control-label -block">'Previous' button label</label>
                <input class="-full-width-input" type="text" ng-model="model.prevLabel" />
            </div>
        </umb-control-group>

        <!--Styling-->
        <umb-control-group label="Styling" description="Add one or more classes to wrap your form to enable custom styling, disable default styling and load assets with Client Dependency.">
            <div class="control-row -margin-bottom">
                <label class="control-label -block">Form CSS class</label>
                <input class="-full-width-input" type="text" ng-model="model.cssClass" />
            </div>
            <div class="control-row">
                <umb-checkbox
                    model="model.disableDefaultStylesheet"
                    text="Disable default stylesheet">
                </umb-checkbox>
            </div>
            <div class="control-row">
                <umb-checkbox
                    model="model.useClientDependency"
                    text="Load assets with Client Dependency">
                </umb-checkbox>
            </div>
        </umb-control-group>
        
        <!--Validation-->
        <umb-control-group label="Validation" description="Provide better validation messages, hide validation labels and change or disable the required/mandatory marker.">
            <div class="block-form">
                <div>
                    <label class="control-label">Mandatory Error Message</label>
                    <small>Message to display when a mandatory field was left empty</small>
                    <input class="-full-width-input" type="text" ng-model="model.requiredErrorMessage" />
                </div>
                <br />
                <div>
                    <label class="control-label -block">Invalid Error Message</label>
                    <small>Message to display when a field is invalid</small>
                    <input class="-full-width-input" type="text" ng-model="model.invalidErrorMessage" />
                </div>
                <div class="control-row">
                    <umb-checkbox
                        model="model.showValidationSummary"
                        text="Show validation summary">
                    </umb-checkbox>
                </div>
                <div class="control-row">
                    <umb-checkbox
                        model="model.hideFieldValidation"
                        text="Hide field validation labels">
                    </umb-checkbox>
                </div>
                <hr />
                <div class="control-row">
                    <label class="control-label -block">Mark fields</label>
                    <umb-radiobutton value="NoIndicator"
                                     model="model.fieldIndicationType"
                                     text="No Indicator">
                    </umb-radiobutton>
                    <umb-radiobutton value="MarkMandatoryFields"
                                     model="model.fieldIndicationType"
                                     text="Mark Mandatory Fields">
                    </umb-radiobutton>
                    <umb-radiobutton value="MarkOptionalFields"
                                     model="model.fieldIndicationType"
                                     text="Mark Optional Fields">
                    </umb-radiobutton>
                </div>
                <br />
                <div>
                    <label class="control-label -block">Indicator</label>
                    <small>Change the mandatory indicator symbol</small>
                    <input class="-full-width-input" type="text" ng-model="model.indicator" />
                </div>
            </div>
        </umb-control-group>

        <!--Autocomplete-->
        <umb-control-group label="Autocomplete" description="Add an attribute to control the overall form's autocompletion behaviour.">
          <div class="block-form">
            <div class="control-row">
              <label class="control-label -block">Attribute value</label>
              <umb-radiobutton value=""
                               model="model.autocompleteAttribute"
                               text="None">
              </umb-radiobutton>
              <umb-radiobutton value="on"
                               model="model.autocompleteAttribute"
                               text="On">
              </umb-radiobutton>
              <umb-radiobutton value="off"
                               model="model.autocompleteAttribute"
                               text="Off">
              </umb-radiobutton>
            </div>
          </div>
        </umb-control-group>
        
        <!--Moderation-->
        <umb-control-group label="Moderation" description="Allow form submissions to be post moderated. Most use cases are for publicly shown entries such as blog post comments or submissions for a social campaign.">
            <umb-toggle
                checked="model.manualApproval"
                on-click="model.manualApproval = !model.manualApproval"
                show-labels="true"
                label-position="right"
                label-off="Enable post moderation"
                label-on="Enable post moderation">
            </umb-toggle>
        </umb-control-group>
    </umb-box-content>
</umb-box>
